"""
# Convert output from MOST in ferret format to sww format
#
#    lat and lons converted to UTM
#    units normalised to SI units
#    UTM reference point obtained from mesh file used with sww
#    to ensure comptaible coordinates.
#    region is trimmed down by specifying a rectangular bounding box.
"""


import os
import project

#Directory for source data  
s = os.sep
source_dir = project.boundarydir


#Data
from pyvolution.data_manager import ferret2sww

#Origin of existing tsh file (Temporary measure)
mesh_origin = (56,308500.000000,6189000.000000) 

ferret2sww(source_dir+project.boundary_basename,
           project.boundary_basename, 
           verbose=True,
           minlat=-35, maxlat=-34,
           minlon=150.5, maxlon=152,
           origin = mesh_origin,
           zscale = 1,
           fail_on_NaN = False),





